Sign in to follow this  
HappinessSam

Pixi on Galaxy tab 2 webgl renderer

Recommended Posts

I've been trying to get my Phaser game to work on my old Galaxy tab 2 but it's been throwing errors from the pixi renderer in Phaser. At first I thought it might be that the phaser version of pixi is outdated (I found this issue on the pixi github) but I'm getting the same errors when testing bunnymarks on the pixi site. Does anyone else have any experience of this and/or advice on workarounds? It works if I force it to canvas rendering but this really impacts the performance - I don't want to have to cripple it for everyone because of an issue on a few tablets.

The error says 'WebGL: INVALID_VALUE: disableVertexAttribArray: index out of range' and '[.CommandBufferContext]RENDER WARNING: there is no texture bound to the unit 0'.

My tablet is on android 4.2.2 with chrome 50.0.2661.89

 

Share this post


Link to post
Share on other sites

but I'm getting the same errors when testing bunnymarks on the pixi site

The bunnymark uses an old dev version of pixi v4, try building the latest development version of pixi v4 (dev branch) and see if that works for you.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.